RubyGems Navigation menu

rubocop 0.56.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.5.1 - December 02, 2020 (446 KB)
  2. 1.5.0 - December 01, 2020 (446 KB)
  3. 1.4.2 - November 25, 2020 (441 KB)
  4. 1.4.1 - November 23, 2020 (441 KB)
  5. 1.4.0 - November 23, 2020 (433 KB)
  6. 0.56.0 - May 14, 2018 (387 KB)
Show all versions (162 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (2):

  • bundler ~> 1.3
  • rack < 2.0, >= 1.6.9
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    687f9418a1475911fdd0cf7c57009620daef2caffe5692b621dc6d1abfb04212

    Total downloads 129,248,352

    For this version 1,250,857

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.1.0

    Links: